using System.Windows.Forms;
using FastReport.Export;
using FastReport.Export.OoXML;
using FastReport.Utils;

namespace FastReport.Forms
{
    /// <summary>
    /// Form for <see cref="XPSExport"/>.
    /// For internal use only.
    /// </summary>
    public partial class XpsExportForm : BaseExportForm
    {
        /// <inheritdoc/>
        public override void Init(ExportBase export)
        {
            base.Init(export);
        }
        
        /// <inheritdoc/>
        protected override void Done()
        {
            base.Done();
        }
        
        /// <inheritdoc/>
        public override void Localize()
        {
            base.Localize();
            MyRes res = new MyRes("Export,Xps");
            Text = res.Get("");
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="XpsExportForm"/> class.
        /// </summary>
        public XpsExportForm()
        {
            InitializeComponent();
        }
    }
}

